PUT
/company/{companyId}/risk-profiles/{riskProfileId}
curl \
--request PUT 'https://live.smartpmtech.com/company/{companyId}/risk-profiles/{riskProfileId}' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"scoreReporting": "NUMBER",
"riskThresholds": [
{
"isHidden": true,
"id": 42,
"weight": 42.0,
"values": [
{
"value": 42.0,
"id": 42,
"indicator": "GOOD"
}
],
"metric": "LOW_FLOAT_RISK"
}
],
"name": "string",
"id": 42,
"version": 42,
"configuration": {
"additionalProperty1": {
"value": "string",
"methodType": "STATIC"
},
"additionalProperty2": {
"value": "string",
"methodType": "STATIC"
}
},
"companyId": "string",
"archived": true,
"createdDate": "2026-05-04T09:42:00Z"
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"scoreReporting": "NUMBER",
"riskThresholds": [
{
"isHidden": true,
"id": 42,
"weight": 42.0,
"values": [
{
"value": 42.0,
"id": 42,
"indicator": "GOOD"
}
],
"metric": "LOW_FLOAT_RISK"
}
],
"name": "string",
"id": 42,
"version": 42,
"configuration": {
"additionalProperty1": {
"value": "string",
"methodType": "STATIC"
},
"additionalProperty2": {
"value": "string",
"methodType": "STATIC"
}
},
"companyId": "string",
"archived": true,
"createdDate": "2026-05-04T09:42:00Z"
}
Response examples (200)
{
"scoreReporting": "NUMBER",
"riskThresholds": [
{
"isHidden": true,
"id": 42,
"weight": 42.0,
"values": [
{
"value": 42.0,
"id": 42,
"indicator": "GOOD"
}
],
"metric": "LOW_FLOAT_RISK"
}
],
"name": "string",
"id": 42,
"version": 42,
"configuration": {
"additionalProperty1": {
"value": "string",
"methodType": "STATIC"
},
"additionalProperty2": {
"value": "string",
"methodType": "STATIC"
}
},
"companyId": "string",
"archived": true,
"createdDate": "2026-05-04T09:42:00Z"
}